<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="16097" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="ycn-U6-OH1">
    <device id="retina4_7" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="16087"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="Stack View standard spacing" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Chuck Norris Facts!!!-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController title="Chuck Norris Facts!!!" id="BYZ-38-t0r" customClass="MainViewController" customModule="ChuckFacts" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="VBf-Bo-gOd">
                                <rect key="frame" x="0.0" y="44" width="375" height="553"/>
                            </imageView>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="UBD-JB-iLk">
                                <rect key="frame" x="95" y="538" width="260" height="49"/>
                                <color key="backgroundColor" cocoaTouchSystemColor="darkTextColor"/>
                                <constraints>
                                    <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="46" id="6f1-dY-EQ3"/>
                                    <constraint firstAttribute="width" relation="greaterThanOrEqual" constant="260" id="a7k-NF-l92"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="MarkerFelt-Wide" family="Marker Felt" pointSize="28"/>
                                <inset key="titleEdgeInsets" minX="5" minY="5" maxX="0.0" maxY="0.0"/>
                                <state key="normal" title="Never-Ending Norris">
                                    <color key="titleColor" cocoaTouchSystemColor="lightTextColor"/>
                                </state>
                                <connections>
                                    <segue destination="fen-8w-FQb" kind="show" id="40x-gW-cA0"/>
                                </connections>
                            </button>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="eYm-o8-naH">
                                <rect key="frame" x="57.5" y="309" width="260" height="49"/>
                                <color key="backgroundColor" cocoaTouchSystemColor="darkTextColor"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="49" id="Cdg-jP-Zpt"/>
                                    <constraint firstAttribute="width" constant="260" id="s8z-JK-d1M"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="MarkerFelt-Wide" family="Marker Felt" pointSize="28"/>
                                <inset key="titleEdgeInsets" minX="5" minY="5" maxX="0.0" maxY="0.0"/>
                                <state key="normal" title="BE THE CHUCK">
                                    <color key="titleColor" systemColor="systemRedColor" red="1" green="0.23137254900000001" blue="0.18823529410000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <connections>
                                    <segue destination="iKV-3O-uIU" kind="show" id="FDg-uh-1lC"/>
                                </connections>
                            </button>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="coollogo_com-28431121" translatesAutoresizingMaskIntoConstraints="NO" id="3l9-fA-aIz">
                                <rect key="frame" x="0.0" y="44" width="375" height="68"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="68" id="x6j-E6-pbI"/>
                                </constraints>
                            </imageView>
                            <stackView opaque="NO" contentMode="scaleToFill" distribution="equalSpacing" spacingType="standard" translatesAutoresizingMaskIntoConstraints="NO" id="I56-wr-1sA" userLabel="Explicit Stack View">
                                <rect key="frame" x="81.5" y="607" width="212" height="40"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Allow Explicit Facts: " textAlignment="right" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="AeE-OD-tPe">
                                        <rect key="frame" x="0.0" y="0.0" width="155" height="40"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <switch opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" contentHorizontalAlignment="center" contentVerticalAlignment="center" translatesAutoresizingMaskIntoConstraints="NO" id="kak-0L-CDD">
                                        <rect key="frame" x="163" y="0.0" width="51" height="40"/>
                                        <color key="onTintColor" systemColor="systemRedColor" red="1" green="0.23137254900000001" blue="0.18823529410000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </switch>
                                </subviews>
                                <constraints>
                                    <constraint firstAttribute="height" constant="40" id="3P9-jH-aM6"/>
                                    <constraint firstItem="AeE-OD-tPe" firstAttribute="centerY" secondItem="I56-wr-1sA" secondAttribute="centerY" id="Ryi-cb-6Rz"/>
                                    <constraint firstItem="kak-0L-CDD" firstAttribute="centerY" secondItem="I56-wr-1sA" secondAttribute="centerY" id="dsC-Uh-FOA"/>
                                </constraints>
                            </stackView>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="NOL-sn-ZJO">
                                <rect key="frame" x="20" y="120" width="250" height="40"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="250" id="jzd-X7-bOp"/>
                                    <constraint firstAttribute="height" constant="40" id="zRi-dt-XGo"/>
                                </constraints>
                                <fontDescription key="fontDescription" name="MarkerFelt-Wide" family="Marker Felt" pointSize="28"/>
                                <state key="normal" title="Random Chuckle">
                                    <color key="titleColor" systemColor="systemRedColor" red="1" green="0.23137254900000001" blue="0.18823529410000001" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <connections>
                                    <action selector="showRandomButtonTapped:" destination="BYZ-38-t0r" eventType="touchUpInside" id="jnY-Vf-HcG"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <constraints>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="bottom" secondItem="I56-wr-1sA" secondAttribute="bottom" constant="20" id="0Kq-QP-2sY"/>
                            <constraint firstItem="3l9-fA-aIz" firstAttribute="trailing" secondItem="6Tk-OE-BBY" secondAttribute="trailing" id="71h-bJ-RXd"/>
                            <constraint firstItem="I56-wr-1sA" firstAttribute="top" secondItem="UBD-JB-iLk" secondAttribute="bottom" constant="20" id="8gB-6p-jzu"/>
                            <constraint firstItem="I56-wr-1sA" firstAttribute="top" secondItem="VBf-Bo-gOd" secondAttribute="bottom" constant="10" id="9B9-KD-bPd"/>
                            <constraint firstItem="VBf-Bo-gOd" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="Cud-2r-wtv"/>
                            <constraint firstItem="3l9-fA-aIz" firstAttribute="top" secondItem="6Tk-OE-BBY" secondAttribute="top" id="LcP-Yb-Vc1"/>
                            <constraint firstItem="NOL-sn-ZJO" firstAttribute="top" secondItem="3l9-fA-aIz" secondAttribute="bottom" constant="8" id="QLZ-Ke-jlR"/>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="trailing" secondItem="UBD-JB-iLk" secondAttribute="trailing" constant="20" id="T3n-sG-iNU"/>
                            <constraint firstItem="I56-wr-1sA" firstAttribute="centerX" secondItem="8bC-Xf-vdC" secondAttribute="centerX" id="X5t-Ti-6mJ"/>
                            <constraint firstItem="3l9-fA-aIz" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="Y5y-Am-zMR"/>
                            <constraint firstItem="NOL-sn-ZJO" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" constant="20" id="hcj-ZA-FSm"/>
                            <constraint firstItem="eYm-o8-naH" firstAttribute="centerY" secondItem="8bC-Xf-vdC" secondAttribute="centerY" id="nJ6-6E-rdr"/>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="trailing" secondItem="VBf-Bo-gOd" secondAttribute="trailing" id="qXz-6y-woi"/>
                            <constraint firstItem="eYm-o8-naH" firstAttribute="centerX" secondItem="8bC-Xf-vdC" secondAttribute="centerX" id="szi-s9-bbh"/>
                            <constraint firstItem="VBf-Bo-gOd" firstAttribute="top" secondItem="6Tk-OE-BBY" secondAttribute="top" id="yx5-lU-MrP"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                    </view>
                    <navigationItem key="navigationItem" id="W46-xS-9wF"/>
                    <connections>
                        <outlet property="epicBackgroundImage" destination="VBf-Bo-gOd" id="15P-is-85s"/>
                        <outlet property="explicitSwitch" destination="kak-0L-CDD" id="IRp-ru-XIV"/>
                        <outlet property="nonExplicitLabel" destination="AeE-OD-tPe" id="pSS-eX-9jW"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1040.8" y="138.0809595202399"/>
        </scene>
        <!--Text Input View Controller-->
        <scene sceneID="X2i-bc-0rr">
            <objects>
                <viewController id="iKV-3O-uIU" customClass="TextInputViewController" customModule="ChuckFacts" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="MP6-6A-1qd">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" distribution="fillProportionally" alignment="center" spacing="47" translatesAutoresizingMaskIntoConstraints="NO" id="Qgf-Mt-iUd">
                                <rect key="frame" x="20" y="64" width="319" height="583"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Enter a name to experience being the Chuck..." textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="lYf-hm-rsk">
                                        <rect key="frame" x="0.0" y="0.0" width="319" height="102.5"/>
                                        <fontDescription key="fontDescription" style="UICTFontTextStyleTitle2"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <textField opaque="NO" tag="1" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="First Name" textAlignment="center" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="WBO-PS-eSq">
                                        <rect key="frame" x="20" y="149.5" width="279" height="64"/>
                                        <fontDescription key="fontDescription" style="UICTFontTextStyleTitle3"/>
                                        <textInputTraits key="textInputTraits"/>
                                    </textField>
                                    <textField opaque="NO" tag="2" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" placeholder="Last Name" textAlignment="center" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="YKr-3J-IHE">
                                        <rect key="frame" x="20" y="260.5" width="279" height="64.5"/>
                                        <fontDescription key="fontDescription" style="UICTFontTextStyleTitle3"/>
                                        <textInputTraits key="textInputTraits"/>
                                    </textField>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="cgw-qp-2M7">
                                        <rect key="frame" x="117" y="372" width="85" height="211"/>
                                        <fontDescription key="fontDescription" style="UICTFontTextStyleTitle1"/>
                                        <state key="normal" title="Search"/>
                                        <connections>
                                            <action selector="showCustomButtonTapped:" destination="iKV-3O-uIU" eventType="touchUpInside" id="Kga-eB-iKH"/>
                                        </connections>
                                    </button>
                                </subviews>
                                <constraints>
                                    <constraint firstItem="YKr-3J-IHE" firstAttribute="leading" secondItem="Qgf-Mt-iUd" secondAttribute="leading" constant="20" id="HPb-2k-dvJ"/>
                                    <constraint firstAttribute="trailing" secondItem="WBO-PS-eSq" secondAttribute="trailing" constant="20" id="HUc-XG-5eR"/>
                                    <constraint firstItem="WBO-PS-eSq" firstAttribute="leading" secondItem="Qgf-Mt-iUd" secondAttribute="leading" constant="20" id="azH-BX-Pe6"/>
                                    <constraint firstAttribute="trailing" secondItem="YKr-3J-IHE" secondAttribute="trailing" constant="20" id="k3l-zw-mQ5"/>
                                </constraints>
                            </stackView>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <constraints>
                            <constraint firstItem="Qgf-Mt-iUd" firstAttribute="leading" secondItem="PGR-m7-Syo" secondAttribute="leading" constant="20" id="Mc2-ti-KCG"/>
                            <constraint firstItem="PGR-m7-Syo" firstAttribute="bottom" secondItem="Qgf-Mt-iUd" secondAttribute="bottom" constant="20" id="bn5-AM-u5v"/>
                            <constraint firstItem="Qgf-Mt-iUd" firstAttribute="top" secondItem="PGR-m7-Syo" secondAttribute="top" constant="20" id="igc-fw-VLq"/>
                            <constraint firstAttribute="trailingMargin" secondItem="Qgf-Mt-iUd" secondAttribute="trailing" constant="20" id="rnI-oy-bQj"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="PGR-m7-Syo"/>
                    </view>
                    <navigationItem key="navigationItem" id="D3h-Zl-ido"/>
                    <connections>
                        <outlet property="firstNameTextField" destination="WBO-PS-eSq" id="pz7-bX-ICB"/>
                        <outlet property="lastNameTextField" destination="YKr-3J-IHE" id="kfp-jN-6H8"/>
                        <outlet property="searchButton" destination="cgw-qp-2M7" id="VFI-M4-Bax"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="nKY-ED-LDq" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2156.521739130435" y="-129.24107142857142"/>
        </scene>
        <!--Never Ending Table View Controller-->
        <scene sceneID="5ig-So-quN">
            <objects>
                <tableViewController id="fen-8w-FQb" customClass="NeverEndingTableViewController" customModule="ChuckFacts" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" id="OBp-5Z-U6S">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" preservesSuperviewLayoutMargins="YES" selectionStyle="default" indentationWidth="10" reuseIdentifier="custom_cell" id="rV7-8E-rGk" customClass="CustomTableViewCell" customModule="ChuckFacts" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="28" width="375" height="64.5"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="rV7-8E-rGk" id="jnR-zC-Zat">
                                    <rect key="frame" x="0.0" y="0.0" width="375" height="64.5"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="center" lineBreakMode="wordWrap" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="4Mv-9N-gAx">
                                            <rect key="frame" x="20" y="20" width="335" height="24.5"/>
                                            <fontDescription key="fontDescription" style="UICTFontTextStyleTitle3"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                    </subviews>
                                    <constraints>
                                        <constraint firstAttribute="trailing" secondItem="4Mv-9N-gAx" secondAttribute="trailing" constant="20" symbolic="YES" id="1pP-kH-2KO"/>
                                        <constraint firstItem="4Mv-9N-gAx" firstAttribute="leading" secondItem="jnR-zC-Zat" secondAttribute="leading" constant="20" symbolic="YES" id="6cP-Aa-ps3"/>
                                        <constraint firstAttribute="bottom" secondItem="4Mv-9N-gAx" secondAttribute="bottom" constant="20" symbolic="YES" id="8qK-xs-L5Q"/>
                                        <constraint firstItem="4Mv-9N-gAx" firstAttribute="top" secondItem="jnR-zC-Zat" secondAttribute="top" constant="20" symbolic="YES" id="KTm-QS-Mqb"/>
                                    </constraints>
                                </tableViewCellContentView>
                                <connections>
                                    <outlet property="jokeLabel" destination="4Mv-9N-gAx" id="xxw-DM-a5H"/>
                                </connections>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="fen-8w-FQb" id="Ye1-Fc-J8A"/>
                            <outlet property="delegate" destination="fen-8w-FQb" id="FZ9-fU-qjl"/>
                        </connections>
                    </tableView>
                    <navigationItem key="navigationItem" id="sEt-56-p5G"/>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="4yC-ra-iIX" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2157" y="590"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="L5D-ej-6co">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="ycn-U6-OH1" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="I74-qN-tso">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="BYZ-38-t0r" kind="relationship" relationship="rootViewController" id="6kh-Dq-MAu"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="BLX-Q8-QIg" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="131.8840579710145" y="138.61607142857142"/>
        </scene>
    </scenes>
    <resources>
        <image name="coollogo_com-28431121" width="632" height="139"/>
    </resources>
</document>
